
/*
 *	net_link.c
 *
 *	This module acts as a multiplexer for outgoing network
 *	messages to different protocol modules.
 */

#include <stdio.h>

#include "net_link.h"
#include "network.h"
#include "net_pc.h"

/*
 *	Node deletion
 */

void link_nodedel(struct node_t *n, char *reason)
{
}

/*
 *	Cluster events
 */

void link_dx(struct dx_t *dx)
{
	pc_dx(dx);
}

void link_announce(struct ann_t *ann)
{
	pc_announce(ann);
}

void link_wwv(struct wwv_t *wwv)
{
	pc_wwv(wwv);
}

void link_talk(struct talk_t *talk)
{
	pc_talk(talk);
}

void link_userdel(struct nuser_t *nu)
{
	pc_userdel(nu);
}

void link_useraway(struct nuser_t *nu)
{
	pc_useraway(nu);
}

void link_userhere(struct nuser_t *nu)
{
	pc_userhere(nu);
}

